Lock in a trade using a previously obtained rate.
Request
Provide your bearer token in the Authorization
header when making requests to protected resources. Example:Authorization: Bearer ********************
or
Body Params application/jsonRequired
{
"amount": 1,
"sourceAccountId": "jk10UfeXxZXB8y2D9gjag",
"targetAccountId": "s-SmqN_pzdoECEQI5DVNu",
"id": "FX-260108-095051912139",
"reference": "jhggdjrfyut38"
}
Request Code Samples
curl --location 'https://api-gateway-uat.mmacs.io/platform/trade-service/api/v1/fx-rates/lock-rate' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"amount": 1,
"sourceAccountId": "jk10UfeXxZXB8y2D9gjag",
"targetAccountId": "s-SmqN_pzdoECEQI5DVNu",
"id": "FX-260108-095051912139",
"reference": "jhggdjrfyut38"
}'
Responses
application/json
{
"message": "string",
"id": "string",
"valueDate": "string",
"sourceAmount": "string",
"sourceCurrency": "string",
"rate": "string",
"targetAmount": "string",
"targetCurrency": "string",
"tradeReference": "string",
"status": "processing",
"sourceAccountNumber": "string",
"targetAccountNumber": "string",
"createdAt": "string",
"updatedAt": "string"
}
Modified at 2026-09-10 13:34:44